#!/usr/bin/perl
#
#  Script to scan a tcpdump compressed hourly file using a pre-defined
#  tcpdump script. Parameters are: Date as YYMMDDHH and script name.
#  
#  Written by Bill Ralph 3/20/98
#
# Set up some variables.
#
$ENV{PATH} = "/bin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/logger";
$logger_location="NSWC";
$filters="/usr/local/logger/filters";
#
sub usage {
        print "Usage: one_day_pat [-n] [-d SNIFDATE] [-l LOGGER_LOCATION] -p PATTERN.\n";
	exit 2;
}
#
#	Parse the parameters.
#
#
use Getopt::Long;
&GetOptions("n", \$no_lookup_flag, "d=s", \$snifdate, "l:s", \$logger_location,
            "p=s", \$pattern);
##
#
#  Check parameter validity.
#
if ("$logger_location" eq "" or $pattern eq "")
{
	usage();
}
#
#
# Reset the $subdir variable.
#
if ($snifdate ne "") {
   $subdir=`date -d $snifdate +%h%d`;
   chomp($subdir);
}
#
#  Set the no_lookup_flag to -n for tcpdump if it was specified on the calling
#  parameter list.
#
$no_lookup_flag = ($no_lookup_flag eq "1") ?"-n":"";
#
# Ready to start the work now, find the hourly data files.
#
#print STDOUT ("/LOG/$logger_location/$subdir\n");
#
# 
chdir("/LOG/$logger_location/$subdir");
@files=<tcp.*.gz>;
$pattern='"'.$pattern.'"';
if ($files[0] eq "") {
#
#  No hourly files, they must have been already condensed into daily ones.
#
   @files=<day*.gz>;
}
foreach $file (@files) {
   system("gunzip -c $file | tcpdump $no_lookup_flag -r - $pattern");
}
