#!/usr/bin/perl
#
#  Script to scan a tcpdump compressed hourly file using a command line 
#  furnished pattern match. 
#  
#  Written by Bill Ralph 3/11/98
#
# Set up some variables.
#
$ENV{PATH} = "/bin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/logger";
$pdir="/usr/local/logger";
$filters="/usr/local/logger/filters";
$logger_location="NSWC";

sub usage {
	print "Usage: pat_match [-debug] -n -d SNIFDATE -l LOGGER_LOCATION -p PATTERN\n";
	exit 2;
}
#
#	Parse the parameters.
#
#
use Getopt::Long;
&GetOptions("debug", \$debug, "n", \$no_lookup_flag, "d:s", \$snifdate, "l:s", \$logger_location,"p=s" , \$pattern);
##
if ($debug) {
   print "n = $no_lookup_flag \n";
   print "d = $snifdate \n";
   print "l = $logger_location \n";
   print "p = $pattern \n";
}
#
#  Check parameter validity.
#
if ("$snifdate" eq "" or "$logger_location" eq "" or "$pattern" eq "")
{
	usage();

}
#
#  Set the no_lookup_flag to -n for tcpdump if it was specified on the calling
#  parameter list.
#

$no_lookup_flag = ($no_lookup_flag eq "1") ?"-n":"";
$sn1=substr($snifdate,0,-2);
$dir=`date -d $sn1 +%h%d`;
chomp($dir);
if ($debug) {
   print "sn1 = $sn1 \n";
   print "dir = $dir \n";
}
#
##
## Call tcpdump to read the uncompressed file and detect bad stuff.
##
$zipped_file="/LOG/$logger_location/$dir/tcp.$snifdate.gz";
$pattern='"'.$pattern.'"';
if ($debug) {
   print("gunzip -c $zipped_file | tcpdump $no_lookup_flag -r - $pattern\n");
} else {
   exec("gunzip -c $zipped_file | tcpdump $no_lookup_flag -r - $pattern");
}
#
