#!/bin/sh
if [ ${DEBUG} ]
then
   set -x
   date '+DATE: %D TIME: %T'
   echo "Executing start_logger.sh"
fi
# start_logger.sh start tcpdump 

# save the date of the last file so we know what to process
cp $LOGDIR/snif.date.1 $LOGDIR/snif.date.2
cp $LOGDIR/snif.date.0 $LOGDIR/snif.date.1
cp $LOGDIR/snif.date $LOGDIR/snif.date.0
# we put the date of the snif file into here so we know what 
# to generate a signature for.
echo `date '+%y%m%d%H'` > $LOGDIR/snif.date

# capture and record the Process ID


# if we get this far, kick off the tcp logger
test $LOGPID && TESTPID=`cat $LOGPID`

# echo -n $TESTPID | od -c
ps $LOGPID > /dev/null 2> /dev/null
if [ $? = 0 ]
then
	echo 1>&2 start_logger: $LOGPROG is already running
	exit 1
fi

$LOGPROG -w - ip and not port 25 and not port 20 | $PROGLOC/gzip > $TCPLOG &
#
# Modified by Bill Ralph for tcpdump piped into gzip.
#
PID=`ps -ax | grep "$LOGPROG " | grep -v grep | awk '{print $1}'`
echo $PID > $LOGPID
#echo $! > $LOGPID

