#! /bin/sh
#
#  Debugging option added by Bill Ralph, 1/9/98. Set DEBUG to some value
#  to log the trace of the shell script execution to /tmp/logger.out.
#
#DEBUG=1; export DEBUG
if [ ${DEBUG} ]
then
   if [ -f /tmp/logger.out ]
   then
      touch /tmp/logger.out
   fi
   exec >> /tmp/logger.out 2>&1
   set -x
   date '+DATE: %D TIME: %T'
   echo "Executing tcpdump.driver.sh"
fi
#
# tcpdump.driver.sh this program drives start_logger.sh and stop_logger.sh
# program is based on work by Chuck Smoko E81 1995 and modified by
# Stephen Northcut CD2S for AIDE loggers
# Last Modified: 11/25/97 tcpdump
#
PROGLOC=/usr/local/bin
LOGPROG=/usr/local/bin/tcpdump
LOGDIR=/LOG
LOGPID=$LOGDIR/log.pid
TCPLOG=$LOGDIR/tcp.`date '+%y%m%d%H'`.gz

export PROGLOC LOGPROG LOGDIR LOGPID TCPLOG
$PROGLOC/stop_logger.sh

if test -d $LOGDIR
then
	cd $LOGDIR
	touch $TCPLOG
	chmod 644 $TCPLOG
else
	echo 1>&2 newtcplog: $LOGPROG can not write to directory
	
fi


#
$PROGLOC/start_logger.sh
